Introduction
Higg Product Module supports adding third-party certifications to products. Accounts with Certifications enabled have the ability to create, search, and update product certifications using the PM and certification API endpoints.The following certifications can currently be added to products. Higg will be expanding support for additional certifications in the future. If you are interested in turning certifications on for your account, please contact Higg for details.bluesign® PRODUCTCradle to Cradle Certified® (C2C)
- Cradle to Cradle Certified® Product Standard - Platinum
- Cradle to Cradle Certified® Product Standard - Gold
- Cradle to Cradle Certified® Product Standard - Silver
- Cradle to Cradle Certified® Product Standard - Bronze
- ECOVERO™ e-branding traceability solution
- TENCEL™ e-branding traceability solution
- Content Claim Standard (CCS)
- Organic Content Standard (OCS)
- Recycled Claim Standard (RCS)
- Global Recycled Standard (GRS)
- Responsible Down Standard (RDS)
- Responsible Wool Standard (RWS)
- Responsible Mohair Standard (RMS)
- Responsible Alpaca Standard (RAS)
Searching for Certificates attached to Products
To see certificates that have been added to a product, the PM Search API endpoint can be used. Information about certificates attached to products will be sent back in the results. See the PM Search Products page for details about how to search for products. The following results are returned along with the typical product module response. The ‘id’ is the unique Higg system certificate id and can be used to Update a product as described in the Update section.Search results
Create Certificates
To create a certificate using the API, you can use the following endpoint to send the required fields, and then attach the certificate to product(s).POST https://api-v2.production.higg.org/certification-api/create
Required Fields
The following fields must be sent to create a certificate.
- Assertion Authority ID. See below for how to retrieve a list of IDs.
- Assertion Standard ID. See below for how to retrieve a list of IDs.
- Assertion ID. The certificate ID, usually found on the certificate.
- Certification Name. The certificate name, usually found on the certificate.
- Proof Body. The The Certifying / Issuing Body for the certificate.
- Certification Files. Image files of the certificate. These must be sent as Base64.
- Date Issued. Unix timestamp of the date the certificate was issued.
- Date Expires. Unix timestamp of the date the certificate expires.
- Product Module IDs. Assign the Higg product(s) Id(s) to attach the certificate to. This is optional. You can also create the certificate and then assign it to products at a later date. See the section below on Adding Certificates to Products for more information.
GET https://api-v2.production.higg.org/certification-api/assertion-authority
Assertion Standard
The Assertion Standard is the type of certification. For Example, ‘Content Claim Standard (CCS)’ and ‘ECOVERO™ e-branding traceability solution’.
You can use the following GET endpoint to retrieve a list of the assertion standards and their corresponding id to use for creating claims via API.
GET https://api-v2.production.higg.org/certification-api/assertion-standard
Create Certificate
Updating Certificates to Add and Remove Products
To add and remove products from existing certificates, you can use the Update certificate endpoint.POST https://api-v2.production.higg.org/certification-api/update/{certificate_id}
Sending
addNewProducts [] allows you to add multiple products to the certificate.
removeProducts [] allows you to remove the association of products to the certificate. The products and certificates are NOT deleted, the entities still exist. It simply removes the relationship between the entities.
Add existing cert to product
Updating Certificates
To update certificates, you can use the following endpoint.POST https://api-v2.production.higg.org/certification-api/update/{Higg_Certificate_ID}
The Certification Standard & Name and Certificate ID cannot be changed at this time.
The following fields can be updated:
- Certification Name. The certificate name, usually found on the certificate.
- Proof Body. The The Certifying / Issuing Body for the certificate.
- Certification Files. Image files of the certificate. These must be sent as Base64.
- Date Issued. Unix timestamp of the date the certificate was issued.
- Date Expires. Unix timestamp of the date the certificate expires.
Update Certificate

